FileOutputStream
Date: 2016-06-24

java.io

## Class FileOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FileOutputStream

-     public class FileOutputStream
      extends OutputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileOutputStream(File var0)`
    `FileOutputStream(File var0, boolean var1)`
    `FileOutputStream(FileDescriptor var0)`
    `FileOutputStream(String var0)`
    `FileOutputStream(String var0, boolean var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()`
    `FileDescriptor` | `getFD()`
    `void` | `write(int var0)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileOutputStream

          public FileOutputStream(File var0)
                           throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### FileOutputStream

          public FileOutputStream(File var0,
                          boolean var1)
                           throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### FileOutputStream

          public FileOutputStream(FileDescriptor var0)

    - #### FileOutputStream

          public FileOutputStream(String var0)
                           throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### FileOutputStream

          public FileOutputStream(String var0,
                          boolean var1)
                           throws FileNotFoundException

      Throws:
        `FileNotFoundException`

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws IOException

      Overrides:
        `finalize` in class `Object`
      Throws:
        `IOException`

    - #### getFD

          public final FileDescriptor getFD()
                                     throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(int var0)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`